<?php
class RepDetalleCobranzaAction extends wtActions
{
    public function execute()
    {
        $s_TipoSalida       = trim( $this->getRequestParameter( 'TipoSalida' ) );
        $this->s_FechaDesde = trim( $this->getRequestParameter( 'FechaDocumento1' ) );
        $this->s_FechaHasta = trim( $this->getRequestParameter( 'FechaDocumento2' ) );

        if( $s_TipoSalida == "EXCEL" )
        {
            header( 'Content-Type: application/vnd.ms-excel' );
            header( 'Content-Disposition: attachment;filename="Detalle_Cobranza_Clientes_'.date( "Ymd" ).'.xls"' );
            header( 'Cache-Control: max-age=0' );
        }

        $o_GSS_CompaniaFN = new GSS_CompaniaFN();
        $this->o_GSS_CompaniaBN = $o_GSS_CompaniaFN->selectByPK( myUser::getUser()->getIdCompania() );

        $o_FCO_AplicacionFN = new FCO_AplicacionFN();
        $o_FCO_AplicacionFN->addOrderBy( FCO_AplicacionFN::IdDocNumRef );
        $this->a_FCO_Aplicacion = $o_FCO_AplicacionFN->select();

        if( $this->s_FechaDesde == "" )
        {
            $this->s_FechaDesde = "- - - - ";
        }
        if( $this->s_FechaHasta == "" )
        {
            $this->s_FechaHasta = date( "Y-m-d" );
        }

        ViewResponse::getInstance()->setMethodAjax();
    }
}
